SuperLU: SRC/ilu_ddrop_row.c File Reference

SuperLU 7.0.0

Functions
ilu_ddrop_row.c File Reference

Drop small rows from L. More...

`#include <math.h>`
`#include <stdlib.h>`
`#include "slu_ddefs.h"`
Include dependency graph for ilu_ddrop_row.c:

## Functions
void | dswap_ (int *, double[], int *, double[], int *)
void | daxpy_ (int *, double *, double[], int *, double[], int *)
void | dcopy_ (int *, double[], int *, double[], int *)
double | dasum_ (int *, double *, int *)
double | dnrm2_ (int *, double *, int *)
double | dnrm2_ (int *, double[], int *)
int | idamax_ (int *, double[], int *)
int | ilu_ddrop_row (superlu_options_t *options, int first, int last, double drop_tol, int quota, int *nnzLj, double *fill_tol, GlobalLU_t *Glu, double dwork[], double dwork2[], int lastc)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 4.1) --
    Lawrence Berkeley National Laboratory.
    June 30, 2009

## Function Documentation

## ◆ dasum_()

double dasum_ | ( | int * | ,
|  | double * | ,
|  | int * |
| ) |  |

## ◆ daxpy_()

void daxpy_ | ( | int * | ,
|  | double * | ,
|  | double | [],
|  | int * | ,
|  | double | [],
|  | int * |
| ) |  |

## ◆ dcopy_()

void dcopy_ | ( | int * | ,
|  | double | [],
|  | int * | ,
|  | double | [],
|  | int * |
| ) |  |

## ◆ dnrm2_() [1/2]

double dnrm2_ | ( | int * | ,
|  | double * | ,
|  | int * |
| ) |  |

## ◆ dnrm2_() [2/2]

double dnrm2_ | ( | int * | ,
|  | double | [],
|  | int * |
| ) |  |

## ◆ dswap_()

void dswap_ | ( | int * | ,
|  | double | [],
|  | int * | ,
|  | double | [],
|  | int * |
| ) |  |

## ◆ idamax_()

int idamax_ | ( | int * | ,
|  | double | [],
|  | int * |
| ) |  |

## ◆ ilu_ddrop_row()

int ilu_ddrop_row | ( | superlu_options_t * | options,
|  | int | first,
|  | int | last,
|  | double | drop_tol,
|  | int | quota,
|  | int * | nnzLj,
|  | double * | fill_tol,
|  | GlobalLU_t * | Glu,
|  | double | dwork[],
|  | double | dwork2[],
|  | int | lastc
| ) |  |

    Purpose
    =======
       ilu_ddrop_row() - Drop some small rows from the previous
       supernode (L-part only).

Here is the call graph for this function: